## com.declarativa.interprolog.gui
Class TermTreeModel

    java.lang.Object
      |
      +--com.declarativa.interprolog.gui.TermTreeModel

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XSBTableModel

public class TermTreeModel
extends Object
implements Serializable

Swing model for a multiple-pane hierarchical browser, defined by a Prolog tree

See Also:
  Serialized Form

Constructor Summary
`TermTreeModel(TermModel root, TermTreeModel[] children)`

Method Summary
`static ObjectExamplePair` `example()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermTreeModel

    public TermTreeModel(TermModel root,
                         TermTreeModel[] children)

Method Detail

### example

    public static ObjectExamplePair example()